This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 139687 - (IT#53147) Satellite Server does not show valid dependencies for packages.
Satellite Server does not show valid dependencies for packages.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
All Linux
high Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Max Spevack
:
Depends On:
Blocks: 145821
  Show dependency treegraph
 
Reported: 2004-11-17 10:24 EST by Steve Conklin
Modified: 2007-07-31 15:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-08 12:33:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Conklin 2004-11-17 10:24:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
From IT#53147:

 Following these links on the Satellite Server, to look at a
particular package:
Channels -->  <Select a Channel> -->  Packages  -->  <Select a
Package>  "laus-libs-0.1-65RHEL3"  -->  Dependencies  
The results are:
************************************************************
Requires:
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3)
liblaus.so.1
rpmlib(CompressedFileNames)-3.0.4-1
rpmlib(PayloadFilesHavePrefix)-4.0-1
rpmlib(VersionedDependencies)-3.0.3-1

Provides:
laus-libs-0.1-65RHEL3
liblaus.so.1
liblaussrv.so.0
pam_laus.so

Obsoletes:
laus-0.1-65RHEL3
************************************************************

When I look at the actual dependencies on the package using the rpm
command, I see the following:

==============================================
Package Provides:
==============================================
liblaus.so.1
liblaussrv.so.0
pam_laus.so
laus-libs = 0.1-65RHEL3
==============================================
Package Requires:
==============================================
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3)
liblaus.so.1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
==============================================
Package Obsoletes:
==============================================
laus < 0.1-65RHEL3
==============================================

The results on the Satellite Server does not correctly display the
version information about the dependencies.  Specifically, the SatServ
shows that this package obsoletes a package that it requires, instead
of it actually obsoleting all older versions of that package.

It appears that the Sat Serv is not showing the "REQUIREFLAGS",
"PROVIDEFLAGS", or "OBSOLETEFLAGS" tag values from the rpm package.

Version-Release number of selected component (if applicable):
3.2

How reproducible:
Always

Steps to Reproduce:
1. Follow steps in description
2.
3.
    

Actual Results:  dependencies are not correctly displayed.

Expected Results:  dependencies should be correctly displayed.

Additional info:
Comment 1 Todd Warner 2004-11-17 17:27:12 EST
Duplicated in RHN Sat 3.4 as well.
Comment 2 Mihai Ibanescu 2004-11-19 08:58:18 EST
This is an artifact of how the web site displays dependencies. They
are actually correct in the database.
Comment 3 Todd Warner 2004-12-01 02:27:44 EST
Assigning to bretm then.
Customer Facing Yes --> No. 
Comment 4 Bret McMillan 2004-12-02 14:46:28 EST
moving to 370
Comment 6 Shannon Hughes 2005-02-01 09:35:47 EST
added estimates
Comment 7 Kevin Krafthefer 2005-02-01 12:44:05 EST
Shannon, could you please convey these estimates to me?
Comment 9 Shannon Hughes 2005-02-21 17:07:54 EST
TEST PLAN, follow the original private comment from Steve. 

Also, you may want to test a few other packages. 
Comment 10 Max Spevack 2005-03-03 01:23:42 EST
Ran through the tests using laus-libs-0.1-66RHEL3 and verified that
the requires/provides/obsoletes output from rpm matches the
information within the RHN site.
Comment 11 Todd Warner 2005-04-08 12:33:13 EDT
mass move: PROD_READY --> CLOSED:CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.